# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class ChartDataChangeType(uno.Enum):
        """
        Enum Class


        See Also:
            `API ChartDataChangeType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart.html#a37b4d47e7d1600aa406ad115a39fe1da>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        ALL: ChartDataChangeType = ...
        """
        Major changes were applied to the data.
        """
        COLUMN_DELETED: ChartDataChangeType = ...
        """
        The column given in the ChartDataChangeEvent, was deleted.
        """
        COLUMN_INSERTED: ChartDataChangeType = ...
        """
        The column given in the ChartDataChangeEvent, was inserted.
        """
        DATA_RANGE: ChartDataChangeType = ...
        """
        The range of columns and rows, given in the ChartDataChangeEvent, has changed.
        """
        ROW_DELETED: ChartDataChangeType = ...
        """
        The row given in the ChartDataChangeEvent, was deleted.
        """
        ROW_INSERTED: ChartDataChangeType = ...
        """
        The row given in the ChartDataChangeEvent, was inserted.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class ChartDataChangeType(metaclass=UnoEnumMeta, type_name="com.sun.star.chart.ChartDataChangeType", name_space="com.sun.star.chart"):
        """Dynamically created class that represents ``com.sun.star.chart.ChartDataChangeType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['ChartDataChangeType']

