# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class ChartErrorCategory(uno.Enum):
        """
        Enum Class


        See Also:
            `API ChartErrorCategory <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart.html#a5dc5747cfef559a2185b3400717ee431>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        CONSTANT_VALUE: ChartErrorCategory = ...
        """
        displays the same lower and upper error indicators for all data points.
        
        The values for these are given as absolute numbers in ChartStatistics.ConstantErrorLow and ChartStatistics.ConstantErrorHigh
        """
        ERROR_MARGIN: ChartErrorCategory = ...
        """
        The length of the error indicators for all data points is calculated by taking the percentage given as ChartStatistics.ErrorMargin of the largest data point value.
        """
        NONE: ChartErrorCategory = ...
        """
        error indicators are not displayed.
        
        displays no regression curve.
        
        no chart legend is displayed.
        
        displays no error indicators.
        """
        PERCENT: ChartErrorCategory = ...
        """
        The length of the error indicators is calculated for each data point by taking the percentage given as ChartStatistics.PercentageError of its value.
        """
        STANDARD_DEVIATION: ChartErrorCategory = ...
        """
        displays error indicators for the standard deviation (square root of variance) of the data row.
        """
        VARIANCE: ChartErrorCategory = ...
        """
        displays error indicators for the variance of the data row.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class ChartErrorCategory(metaclass=UnoEnumMeta, type_name="com.sun.star.chart.ChartErrorCategory", name_space="com.sun.star.chart"):
        """Dynamically created class that represents ``com.sun.star.chart.ChartErrorCategory`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['ChartErrorCategory']

