# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart2
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class CurveStyle(uno.Enum):
        """
        Enum Class


        See Also:
            `API CurveStyle <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart2.html#a6eee32347565343ce84b84adb82da419>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        B_SPLINES: CurveStyle = ...
        """
        Data points are connected via a parametric, interpolating B-spline curve.
        """
        CUBIC_SPLINES: CurveStyle = ...
        """
        Data points are connected via a smoothed cubic spline curve.
        
        The data points themselves are part of to the curve.
        """
        LINES: CurveStyle = ...
        """
        Lines between data points are not smoothed.
        """
        NURBS: CurveStyle = ...
        """
        Non-uniform rational b-splines.
        """
        STEP_CENTER_X: CurveStyle = ...
        """
        Data points are connected via a 3-segmented stepped line.
        
        The lines is horizontal till the center of the X values.
        """
        STEP_CENTER_Y: CurveStyle = ...
        """
        Data points are connected via a 3-segmented stepped line.
        
        The lines is horizontal at the center of the Y values.
        """
        STEP_END: CurveStyle = ...
        """
        Data points are connected via a 2-segmented stepped line.
        
        The line ends horizontally.
        """
        STEP_START: CurveStyle = ...
        """
        Data points are connected via a 2-segmented stepped line.
        
        The line starts horizontally.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class CurveStyle(metaclass=UnoEnumMeta, type_name="com.sun.star.chart2.CurveStyle", name_space="com.sun.star.chart2"):
        """Dynamically created class that represents ``com.sun.star.chart2.CurveStyle`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['CurveStyle']

