# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart2
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class PieChartOffsetMode(uno.Enum):
        """
        Enum Class


        See Also:
            `API PieChartOffsetMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart2.html#aa17c0b28cca2adc2be9b3c5954111489>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        ALL_EXPLODED: PieChartOffsetMode = ...
        """
        All pies are exploded by a certain percentage.
        
        The default is 10 percent.
        """
        NONE: PieChartOffsetMode = ...
        """
        Default, no pies are exploded.
        
        no transparency attribute is evaluated
        
        The symbol is invisible.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class PieChartOffsetMode(metaclass=UnoEnumMeta, type_name="com.sun.star.chart2.PieChartOffsetMode", name_space="com.sun.star.chart2"):
        """Dynamically created class that represents ``com.sun.star.chart2.PieChartOffsetMode`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['PieChartOffsetMode']

