# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.chart2
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class SymbolStyle(uno.Enum):
        """
        Enum Class


        See Also:
            `API SymbolStyle <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1chart2.html#a8068445d248b830d1708dcb2a2afb2c6>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        AUTO: SymbolStyle = ...
        """
        The symbol is taken automatically.
        """
        GRAPHIC: SymbolStyle = ...
        """
        uses the graphic given in Symbol.Graphic as symbol.
        """
        NONE: SymbolStyle = ...
        """
        Default, no pies are exploded.
        
        no transparency attribute is evaluated
        
        The symbol is invisible.
        """
        POLYGON: SymbolStyle = ...
        """
        uses the symbol given in the com.sun.star.drawing.PolyPolygonBezierCoords given in Symbol.PolygonCoords.
        """
        STANDARD: SymbolStyle = ...
        """
        uses one of the standard symbols.
        
        Which standard symbol is given in Symbol.StandardSymbol.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class SymbolStyle(metaclass=UnoEnumMeta, type_name="com.sun.star.chart2.SymbolStyle", name_space="com.sun.star.chart2"):
        """Dynamically created class that represents ``com.sun.star.chart2.SymbolStyle`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['SymbolStyle']

