# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class DashStyle(uno.Enum):
        """
        Enum Class


        See Also:
            `API DashStyle <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#a89f0dc2e221d6f608088093da27764d1>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        RECT: DashStyle = ...
        """
        the dash is a rectangle
        """
        RECTRELATIVE: DashStyle = ...
        """
        the dash is a rectangle, with the size of the dash given in relation to the length of the line
        """
        ROUND: DashStyle = ...
        """
        the dash is a point
        
        the lines join with an arc
        
        the line will get a half circle as additional cap
        """
        ROUNDRELATIVE: DashStyle = ...
        """
        the dash is a point, with the size of the dash given in relation to the length of the line
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class DashStyle(metaclass=UnoEnumMeta, type_name="com.sun.star.drawing.DashStyle", name_space="com.sun.star.drawing"):
        """Dynamically created class that represents ``com.sun.star.drawing.DashStyle`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['DashStyle']

