# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.drawing
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class PolygonKind(uno.Enum):
        """
        Enum Class


        See Also:
            `API PolygonKind <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1drawing.html#adec70dcaa1fdfc08f03cf30ccee65ef6>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        FREEFILL: PolygonKind = ...
        """
        This is the PolygonKind for a ClosedFreeHandShape.
        """
        FREELINE: PolygonKind = ...
        """
        This is the PolygonKind for an OpenFreeHandShape.
        """
        LINE: PolygonKind = ...
        """
        the ConnectorShape is drawn as a straight line
        
        This is the PolygonKind for a LineShape.
        """
        PATHFILL: PolygonKind = ...
        """
        This is the PolygonKind for a ClosedBezierShape.
        """
        PATHLINE: PolygonKind = ...
        """
        This is the PolygonKind for an OpenBezierShape.
        """
        PATHPLIN: PolygonKind = ...
        """
        This is the PolygonKind for a PolyLinePathShape.
        """
        PATHPOLY: PolygonKind = ...
        """
        This is the PolygonKind for a PolyPolygonPathShape.
        """
        PLIN: PolygonKind = ...
        """
        This is the PolygonKind for a PolyLineShape.
        """
        POLY: PolygonKind = ...
        """
        This is the PolygonKind for a PolyPolygonShape.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class PolygonKind(metaclass=UnoEnumMeta, type_name="com.sun.star.drawing.PolygonKind", name_space="com.sun.star.drawing"):
        """Dynamically created class that represents ``com.sun.star.drawing.PolygonKind`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['PolygonKind']

