# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.presentation
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class ClickAction(uno.Enum):
        """
        Enum Class


        See Also:
            `API ClickAction <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1presentation.html#a85fe75121d351785616b75b2c5661d8f>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        BOOKMARK: ClickAction = ...
        """
        The presentation jumps to a bookmark.
        """
        DOCUMENT: ClickAction = ...
        """
        The presentation jumps to another document.
        """
        FIRSTPAGE: ClickAction = ...
        """
        The presentation continues with the first page.
        """
        INVISIBLE: ClickAction = ...
        """
        The object renders itself invisible after a click.
        """
        LASTPAGE: ClickAction = ...
        """
        The presentation continues with the last page.
        """
        MACRO: ClickAction = ...
        """
        A star basic macro is executed after the click.
        """
        NEXTPAGE: ClickAction = ...
        """
        The presentation jumps to the next page.
        """
        NONE: ClickAction = ...
        """
        use no animation effects.
        
        use no fade effects.
        
        No action is performed on click.
        """
        PREVPAGE: ClickAction = ...
        """
        The presentation jumps to the previous page.
        """
        PROGRAM: ClickAction = ...
        """
        Another program is executed after a click.
        """
        SOUND: ClickAction = ...
        """
        A sound is played after a click.
        """
        STOPPRESENTATION: ClickAction = ...
        """
        The presentation is stopped after the click.
        """
        VANISH: ClickAction = ...
        """
        The object vanishes with its effect.
        """
        VERB: ClickAction = ...
        """
        An OLE verb is performed on this object.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class ClickAction(metaclass=UnoEnumMeta, type_name="com.sun.star.presentation.ClickAction", name_space="com.sun.star.presentation"):
        """Dynamically created class that represents ``com.sun.star.presentation.ClickAction`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['ClickAction']

