# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.script
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class InterruptReason(uno.Enum):
        """
        Enum Class


        See Also:
            `API InterruptReason <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1script.html#a298e9238891ddece524d1b3732aa33e4>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        BreakPoint: InterruptReason = ...
        """
        script stopped at a breakpoint.
        """
        Cancel: InterruptReason = ...
        """
        script in the engine was cancelled.
        
        script execution was cancelled.
        """
        CompileError: InterruptReason = ...
        """
        script has invalid syntax.
        """
        RuntimeError: InterruptReason = ...
        """
        runtime error occurred during script execution.
        """
        Step: InterruptReason = ...
        """
        script stops because only one scripting engine command was executed.
        """
        StepOut: InterruptReason = ...
        """
        script stops because it leaves a function.
        """
        StepOver: InterruptReason = ...
        """
        script stops because one step was executed.
        """
        StepStatement: InterruptReason = ...
        """
        script stop because one step was executed.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class InterruptReason(metaclass=UnoEnumMeta, type_name="com.sun.star.script.InterruptReason", name_space="com.sun.star.script"):
        """Dynamically created class that represents ``com.sun.star.script.InterruptReason`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['InterruptReason']

