# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class GeneralFunction(uno.Enum):
        """
        Enum Class


        See Also:
            `API GeneralFunction <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#ad184d5bd9055f3b4fd57ce72c781758d>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        AUTO: GeneralFunction = ...
        """
        specifies the use of a user-defined list.
        
        function is determined automatically.
        """
        AVERAGE: GeneralFunction = ...
        """
        average of all numerical values is calculated.
        """
        COUNT: GeneralFunction = ...
        """
        all values, including non-numerical values, are counted.
        """
        COUNTNUMS: GeneralFunction = ...
        """
        numerical values are counted.
        """
        MAX: GeneralFunction = ...
        """
        maximum value of all numerical values is calculated.
        """
        MIN: GeneralFunction = ...
        """
        minimum value of all numerical values is calculated.
        """
        NONE: GeneralFunction = ...
        """
        no cells are moved.
        
        sheet is not linked.
        
        new values are used without changes.
        
        nothing is calculated.
        
        nothing is imported.
        
        no condition is specified.
        """
        PRODUCT: GeneralFunction = ...
        """
        product of all numerical values is calculated.
        """
        STDEV: GeneralFunction = ...
        """
        standard deviation is calculated based on a sample.
        """
        STDEVP: GeneralFunction = ...
        """
        standard deviation is calculated based on the entire population.
        """
        SUM: GeneralFunction = ...
        """
        sum of all numerical values is calculated.
        """
        VAR: GeneralFunction = ...
        """
        variance is calculated based on a sample.
        """
        VARP: GeneralFunction = ...
        """
        variance is calculated based on the entire population.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class GeneralFunction(metaclass=UnoEnumMeta, type_name="com.sun.star.sheet.GeneralFunction", name_space="com.sun.star.sheet"):
        """Dynamically created class that represents ``com.sun.star.sheet.GeneralFunction`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['GeneralFunction']

