# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.sheet
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class ValidationType(uno.Enum):
        """
        Enum Class


        See Also:
            `API ValidationType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1sheet.html#aa5aa6dbecaeb5e18a476b0a58279c57a>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        ANY: ValidationType = ...
        """
        any cell content is valid; no conditions are used.
        """
        CUSTOM: ValidationType = ...
        """
        The specified formula determines which contents are valid.
        """
        DATE: ValidationType = ...
        """
        specifies an arithmetic series for date values.
        
        any date value matching the specified condition is valid.
        """
        DECIMAL: ValidationType = ...
        """
        any number matching the specified condition is valid.
        """
        LIST: ValidationType = ...
        """
        Only strings from a specified list are valid.
        """
        TEXT_LEN: ValidationType = ...
        """
        string is valid if its length matches the specified condition.
        """
        TIME: ValidationType = ...
        """
        any time value matching the specified condition is valid.
        """
        WHOLE: ValidationType = ...
        """
        any whole number matching the specified condition is valid.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class ValidationType(metaclass=UnoEnumMeta, type_name="com.sun.star.sheet.ValidationType", name_space="com.sun.star.sheet"):
        """Dynamically created class that represents ``com.sun.star.sheet.ValidationType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['ValidationType']

