# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.smarttags
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class SmartTagRecognizerMode(uno.Enum):
        """
        Enum Class


        See Also:
            `API SmartTagRecognizerMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1smarttags.html#a2eab74f21d11f78b5aa7826b0c60604f>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        CELL: SmartTagRecognizerMode = ...
        """
        Text passed to the recognizer is a cell.
        """
        CHAR: SmartTagRecognizerMode = ...
        """
        Text passed to the recognizer is a single character.
        """
        PARAGRAPH: SmartTagRecognizerMode = ...
        """
        Text passed to the recognizer is a paragraph.
        """
        SINGLE_WORD: SmartTagRecognizerMode = ...
        """
        Text passed to the recognizer is a single word.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class SmartTagRecognizerMode(metaclass=UnoEnumMeta, type_name="com.sun.star.smarttags.SmartTagRecognizerMode", name_space="com.sun.star.smarttags"):
        """Dynamically created class that represents ``com.sun.star.smarttags.SmartTagRecognizerMode`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['SmartTagRecognizerMode']

