# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.style
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class BreakType(uno.Enum):
        """
        Enum Class


        See Also:
            `API BreakType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1style.html#a3ae28cb49c180ec160a0984600b2b925>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        COLUMN_AFTER: BreakType = ...
        """
        A column break is applied after the object to which it belongs.
        """
        COLUMN_BEFORE: BreakType = ...
        """
        A column break is applied before the object to which it belongs.
        """
        COLUMN_BOTH: BreakType = ...
        """
        A column break is applied before and after the object to which it belongs.
        """
        NONE: BreakType = ...
        """
        No column or page break is applied.
        
        This value specifies that a location is not yet assigned.
        """
        PAGE_AFTER: BreakType = ...
        """
        A page break is applied after the object to which it belongs.
        """
        PAGE_BEFORE: BreakType = ...
        """
        A page break is applied before the object to which it belongs.
        """
        PAGE_BOTH: BreakType = ...
        """
        A page break is applied before and after the object to which it belongs.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class BreakType(metaclass=UnoEnumMeta, type_name="com.sun.star.style.BreakType", name_space="com.sun.star.style"):
        """Dynamically created class that represents ``com.sun.star.style.BreakType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['BreakType']

