# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.task
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class PasswordRequestMode(uno.Enum):
        """
        Enum Class


        See Also:
            `API PasswordRequestMode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1task.html#a921a6f0fb0abf824f006cab79dbc54d0>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        PASSWORD_CREATE: PasswordRequestMode = ...
        """
        Password creation.
        """
        PASSWORD_ENTER: PasswordRequestMode = ...
        """
        Ask for a password.
        """
        PASSWORD_REENTER: PasswordRequestMode = ...
        """
        Wrong password was entered, ask again.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class PasswordRequestMode(metaclass=UnoEnumMeta, type_name="com.sun.star.task.PasswordRequestMode", name_space="com.sun.star.task"):
        """Dynamically created class that represents ``com.sun.star.task.PasswordRequestMode`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['PasswordRequestMode']

