# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class IOErrorCode(uno.Enum):
        """
        Enum Class


        See Also:
            `API IOErrorCode <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ucb.html#ab0378c2985abaca86838ed9936c3a2d5>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        ABORT: IOErrorCode = ...
        """
        An operation was aborted.
        """
        ACCESS_DENIED: IOErrorCode = ...
        """
        An object cannot be accessed due to insufficient user rights.
        """
        ALREADY_EXISTING: IOErrorCode = ...
        """
        An object already exists.
        """
        BAD_CRC: IOErrorCode = ...
        """
        A bad checksum.
        """
        CANT_CREATE: IOErrorCode = ...
        """
        An object could not be created.
        """
        CANT_READ: IOErrorCode = ...
        """
        Data could not be read from a file.
        """
        CANT_SEEK: IOErrorCode = ...
        """
        A seek operation could not be run.
        """
        CANT_TELL: IOErrorCode = ...
        """
        A tell operation could not be run.
        """
        CANT_WRITE: IOErrorCode = ...
        """
        Data could not be written to a file.
        """
        CURRENT_DIRECTORY: IOErrorCode = ...
        """
        A function is not possible because the path contains the current directory.
        """
        DEVICE_NOT_READY: IOErrorCode = ...
        """
        A device (drive) not ready.
        """
        DIFFERENT_DEVICES: IOErrorCode = ...
        """
        A function is not possible because the devices (drives) are not identical.
        """
        GENERAL: IOErrorCode = ...
        """
        A general input/output error.
        """
        INVALID_ACCESS: IOErrorCode = ...
        """
        An invalid attempt was made to access an object.
        """
        INVALID_CHARACTER: IOErrorCode = ...
        """
        A file name contains invalid characters.
        """
        INVALID_DEVICE: IOErrorCode = ...
        """
        A specified device is invalid.
        """
        INVALID_LENGTH: IOErrorCode = ...
        """
        Invalid data length.
        """
        INVALID_PARAMETER: IOErrorCode = ...
        """
        An operation was started with an invalid parameter.
        """
        IS_WILDCARD: IOErrorCode = ...
        """
        An operation cannot be run on file names containing wildcards.
        """
        LOCKING_VIOLATION: IOErrorCode = ...
        """
        A locking problem.
        """
        MISPLACED_CHARACTER: IOErrorCode = ...
        """
        An invalid file name.
        """
        NAME_TOO_LONG: IOErrorCode = ...
        """
        A file name is too long.
        """
        NOT_EXISTING: IOErrorCode = ...
        """
        A nonexistent object.
        """
        NOT_EXISTING_PATH: IOErrorCode = ...
        """
        The path to a file does not exist.
        """
        NOT_SUPPORTED: IOErrorCode = ...
        """
        An action is not supported.
        """
        NO_DIRECTORY: IOErrorCode = ...
        """
        An object is not a directory.
        """
        NO_FILE: IOErrorCode = ...
        """
        An object is not a file.
        """
        OUT_OF_DISK_SPACE: IOErrorCode = ...
        """
        No more space on a device.
        """
        OUT_OF_FILE_HANDLES: IOErrorCode = ...
        """
        No more file handles available.
        """
        OUT_OF_MEMORY: IOErrorCode = ...
        """
        An operation could not be run due to insufficient memory.
        """
        PENDING: IOErrorCode = ...
        """
        An operation is still pending.
        """
        RECURSIVE: IOErrorCode = ...
        """
        An object cannot be copied into itself.
        """
        UNKNOWN: IOErrorCode = ...
        """
        Unknown.
        
        An unknown I/O error has occurred.
        """
        WRITE_PROTECTED: IOErrorCode = ...
        """
        A function is not possible because the object is write protected.
        """
        WRONG_FORMAT: IOErrorCode = ...
        """
        An incorrect file format.
        """
        WRONG_VERSION: IOErrorCode = ...
        """
        An incorrect file version.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class IOErrorCode(metaclass=UnoEnumMeta, type_name="com.sun.star.ucb.IOErrorCode", name_space="com.sun.star.ucb"):
        """Dynamically created class that represents ``com.sun.star.ucb.IOErrorCode`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['IOErrorCode']

