# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ucb
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class WebDAVHTTPMethod(uno.Enum):
        """
        Enum Class


        See Also:
            `API WebDAVHTTPMethod <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ucb.html#a3c143367536e0c519b25183505ae3ed7>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        CONNECT: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        COPY: WebDAVHTTPMethod = ...
        """
        Copy the source to the target folder.
        
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        DELETE: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        GET: WebDAVHTTPMethod = ...
        """
        Get a list of all folders.
        
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        HEAD: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        LOCK: WebDAVHTTPMethod = ...
        """
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        MKCOL: WebDAVHTTPMethod = ...
        """
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        MOVE: WebDAVHTTPMethod = ...
        """
        Move the source to the target folder.
        
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        OPTIONS: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        PATCH: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 5789: PATCH Method for HTTP
        """
        POST: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        PROPFIND: WebDAVHTTPMethod = ...
        """
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        PROPPATCH: WebDAVHTTPMethod = ...
        """
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """
        PUT: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        TRACE: WebDAVHTTPMethod = ...
        """
        HTTP request method as defined in RFC 2616: Hypertext Transfer Protocol – HTTP/1.1
        """
        UNLOCK: WebDAVHTTPMethod = ...
        """
        WebDAV methods as defined in HTTP Extensions for Web Distributed Authoring and Versioning (WebDAV)
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class WebDAVHTTPMethod(metaclass=UnoEnumMeta, type_name="com.sun.star.ucb.WebDAVHTTPMethod", name_space="com.sun.star.ucb"):
        """Dynamically created class that represents ``com.sun.star.ucb.WebDAVHTTPMethod`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['WebDAVHTTPMethod']

