# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.view
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class PrintableState(uno.Enum):
        """
        Enum Class


        See Also:
            `API PrintableState <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1view.html#ad9b0afaffefc166344fd9575516b6626>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        JOB_ABORTED: PrintableState = ...
        """
        printing was aborted (e.g., by the user) while either printing or spooling.
        """
        JOB_COMPLETED: PrintableState = ...
        """
        printing (rendering the document) has finished, spooling has begun
        """
        JOB_FAILED: PrintableState = ...
        """
        printing ran into an error.
        """
        JOB_SPOOLED: PrintableState = ...
        """
        spooling has finished successfully.
        
        This is the only state that can be considered as \"success\" for a print job.
        """
        JOB_SPOOLING_FAILED: PrintableState = ...
        """
        the document could be printed but not spooled.
        """
        JOB_STARTED: PrintableState = ...
        """
        printing (rendering the document) has begun
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class PrintableState(metaclass=UnoEnumMeta, type_name="com.sun.star.view.PrintableState", name_space="com.sun.star.view"):
        """Dynamically created class that represents ``com.sun.star.view.PrintableState`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['PrintableState']

