# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.xml.crypto
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class SecurityOperationStatus(uno.Enum):
        """
        Enum Class


        See Also:
            `API SecurityOperationStatus <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1xml_1_1crypto.html#ab5d887eb5da1173b766d96d0d863d1dc>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        ASSERTION: SecurityOperationStatus = ...
        """
        """
        CERT_HAS_EXPIRED: SecurityOperationStatus = ...
        """
        """
        CERT_ISSUER_FAILED: SecurityOperationStatus = ...
        """
        """
        CERT_NOT_FOUND: SecurityOperationStatus = ...
        """
        """
        CERT_NOT_YET_VALID: SecurityOperationStatus = ...
        """
        """
        CERT_REVOKED: SecurityOperationStatus = ...
        """
        """
        CERT_VERIFY_FAILED: SecurityOperationStatus = ...
        """
        """
        CRYPTO_FAILED: SecurityOperationStatus = ...
        """
        """
        DATA_NOT_MATCH: SecurityOperationStatus = ...
        """
        """
        DISABLED: SecurityOperationStatus = ...
        """
        """
        DSIG_INVALID_REFERENCE: SecurityOperationStatus = ...
        """
        """
        DSIG_NO_REFERENCES: SecurityOperationStatus = ...
        """
        """
        ENGINE_FAILED: SecurityOperationStatus = ...
        """
        The following constants are derived from XMLSec error definitions, as following:
        
        XMLSEC_ERRORS_R_XMLSEC_FAILED XMLSEC_ERRORS_R_MALLOC_FAILED XMLSEC_ERRORS_R_STRDUP_FAILED XMLSEC_ERRORS_R_CRYPTO_FAILED XMLSEC_ERRORS_R_XML_FAILED XMLSEC_ERRORS_R_XSLT_FAILED XMLSEC_ERRORS_R_IO_FAILED XMLSEC_ERRORS_R_DISABLED XMLSEC_ERRORS_R_NOT_IMPLEMENTED XMLSEC_ERRORS_R_INVALID_SIZE XMLSEC_ERRORS_R_INVALID_DATA XMLSEC_ERRORS_R_INVALID_RESULT XMLSEC_ERRORS_R_INVALID_TYPE XMLSEC_ERRORS_R_INVALID_OPERATION XMLSEC_ERRORS_R_INVALID_STATUS XMLSEC_ERRORS_R_INVALID_FORMAT XMLSEC_ERRORS_R_DATA_NOT_MATCH XMLSEC_ERRORS_R_INVALID_NODE XMLSEC_ERRORS_R_INVALID_NODE_CONTENT XMLSEC_ERRORS_R_INVALID_NODE_ATTRIBUTE XMLSEC_ERRORS_R_MISSING_NODE_ATTRIBUTE XMLSEC_ERRORS_R_NODE_ALREADY_PRESENT XMLSEC_ERRORS_R_UNEXPECTED_NODE XMLSEC_ERRORS_R_NODE_NOT_FOUND XMLSEC_ERRORS_R_INVALID_TRANSFORM XMLSEC_ERRORS_R_INVALID_TRANSFORM_KEY XMLSEC_ERRORS_R_INVALID_URI_TYPE XMLSEC_ERRORS_R_TRANSFORM_SAME_DOCUMENT_REQUIRED XMLSEC_ERRORS_R_TRANSFORM_DISABLED XMLSEC_ERRORS_R_INVALID_KEY_DATA XMLSEC_ERRORS_R_KEY_DATA_NOT_FOUND XMLSEC_ERRORS_R_KEY_DATA_ALREADY_EXIST XMLSEC_ERRORS_R_INVALID_KEY_DATA_SIZE XMLSEC_ERRORS_R_KEY_NOT_FOUND XMLSEC_ERRORS_R_KEYDATA_DISABLED XMLSEC_ERRORS_R_MAX_RETRIEVALS_LEVEL XMLSEC_ERRORS_R_MAX_RETRIEVAL_TYPE_MISMATCH XMLSEC_ERRORS_R_MAX_ENCKEY_LEVEL XMLSEC_ERRORS_R_CERT_VERIFY_FAILED XMLSEC_ERRORS_R_CERT_NOT_FOUND XMLSEC_ERRORS_R_CERT_REVOKED XMLSEC_ERRORS_R_CERT_ISSUER_FAILED XMLSEC_ERRORS_R_CERT_NOT_YET_VALID XMLSEC_ERRORS_R_CERT_HAS_EXPIRED XMLSEC_ERRORS_R_DSIG_NO_REFERENCES XMLSEC_ERRORS_R_DSIG_INVALID_REFERENCE XMLSEC_ERRORS_R_ASSERTION XMLSEC_ERRORS_MAX_NUMBER
        """
        INVALID_DATA: SecurityOperationStatus = ...
        """
        """
        INVALID_FORMAT: SecurityOperationStatus = ...
        """
        """
        INVALID_KEY_DATA: SecurityOperationStatus = ...
        """
        """
        INVALID_KEY_DATA_SIZE: SecurityOperationStatus = ...
        """
        """
        INVALID_NODE: SecurityOperationStatus = ...
        """
        """
        INVALID_NODE_ATTRIBUTE: SecurityOperationStatus = ...
        """
        """
        INVALID_NODE_CONTENT: SecurityOperationStatus = ...
        """
        """
        INVALID_OPERATION: SecurityOperationStatus = ...
        """
        """
        INVALID_RESULT: SecurityOperationStatus = ...
        """
        """
        INVALID_SIZE: SecurityOperationStatus = ...
        """
        """
        INVALID_STATUS: SecurityOperationStatus = ...
        """
        """
        INVALID_TRANSFORM: SecurityOperationStatus = ...
        """
        """
        INVALID_TRANSFORM_KEY: SecurityOperationStatus = ...
        """
        """
        INVALID_TYPE: SecurityOperationStatus = ...
        """
        """
        INVALID_URI_TYPE: SecurityOperationStatus = ...
        """
        """
        IO_FAILED: SecurityOperationStatus = ...
        """
        """
        KEYDATA_DISABLED: SecurityOperationStatus = ...
        """
        """
        KEY_DATA_ALREADY_EXIST: SecurityOperationStatus = ...
        """
        """
        KEY_DATA_NOT_FOUND: SecurityOperationStatus = ...
        """
        """
        KEY_NOT_FOUND: SecurityOperationStatus = ...
        """
        """
        MALLOC_FAILED: SecurityOperationStatus = ...
        """
        """
        MAX_ENCKEY_LEVEL: SecurityOperationStatus = ...
        """
        """
        MAX_RETRIEVALS_LEVEL: SecurityOperationStatus = ...
        """
        """
        MAX_RETRIEVAL_TYPE_MISMATCH: SecurityOperationStatus = ...
        """
        """
        MISSING_NODE_ATTRIBUTE: SecurityOperationStatus = ...
        """
        """
        NODE_ALREADY_PRESENT: SecurityOperationStatus = ...
        """
        """
        NODE_NOT_FOUND: SecurityOperationStatus = ...
        """
        """
        NOT_IMPLEMENTED: SecurityOperationStatus = ...
        """
        """
        OPERATION_SUCCEEDED: SecurityOperationStatus = ...
        """
        """
        RUNTIMEERROR_FAILED: SecurityOperationStatus = ...
        """
        """
        STRDUP_FAILED: SecurityOperationStatus = ...
        """
        """
        TRANSFORM_DISABLED: SecurityOperationStatus = ...
        """
        """
        TRANSFORM_SAME_DOCUMENT_REQUIRED: SecurityOperationStatus = ...
        """
        """
        UNEXPECTED_NODE: SecurityOperationStatus = ...
        """
        """
        UNKNOWN: SecurityOperationStatus = ...
        """
        """
        XML_FAILED: SecurityOperationStatus = ...
        """
        """
        XSLT_FAILED: SecurityOperationStatus = ...
        """
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class SecurityOperationStatus(metaclass=UnoEnumMeta, type_name="com.sun.star.xml.crypto.SecurityOperationStatus", name_space="com.sun.star.xml.crypto"):
        """Dynamically created class that represents ``com.sun.star.xml.crypto.SecurityOperationStatus`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['SecurityOperationStatus']

