# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.xml.dom.events
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class EventType(uno.Enum):
        """
        Enum Class

        ENUM EventType

        See Also:
            `API EventType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1xml_1_1dom_1_1events.html#a2628ea8d12e8b2563c32f05dc7fff6fa>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        DOMActivate: EventType = ...
        """
        """
        DOMAttrModified: EventType = ...
        """
        """
        DOMCharacterDataModified: EventType = ...
        """
        """
        DOMFocusIn: EventType = ...
        """
        """
        DOMFocusOut: EventType = ...
        """
        """
        DOMNodeInserted: EventType = ...
        """
        """
        DOMNodeInsertedIntoDocument: EventType = ...
        """
        """
        DOMNodeRemoved: EventType = ...
        """
        """
        DOMNodeRemovedFromDocument: EventType = ...
        """
        """
        DOMSubtreeModified: EventType = ...
        """
        """
        click: EventType = ...
        """
        """
        mousedown: EventType = ...
        """
        """
        mousemove: EventType = ...
        """
        """
        mouseout: EventType = ...
        """
        """
        mouseover: EventType = ...
        """
        """
        mouseup: EventType = ...
        """
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class EventType(metaclass=UnoEnumMeta, type_name="com.sun.star.xml.dom.events.EventType", name_space="com.sun.star.xml.dom.events"):
        """Dynamically created class that represents ``com.sun.star.xml.dom.events.EventType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['EventType']

