# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.xml.xpath
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class XPathObjectType(uno.Enum):
        """
        Enum Class

        ENUM XPathObjectType

        See Also:
            `API XPathObjectType <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1xml_1_1xpath.html#a4e7de3ae7d09203486b85490e0a6f1a3>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        XPATH_BOOLEAN: XPathObjectType = ...
        """
        """
        XPATH_LOCATIONSET: XPathObjectType = ...
        """
        """
        XPATH_NODESET: XPathObjectType = ...
        """
        """
        XPATH_NUMBER: XPathObjectType = ...
        """
        """
        XPATH_POINT: XPathObjectType = ...
        """
        """
        XPATH_RANGE: XPathObjectType = ...
        """
        """
        XPATH_STRING: XPathObjectType = ...
        """
        """
        XPATH_UNDEFINED: XPathObjectType = ...
        """
        """
        XPATH_USERS: XPathObjectType = ...
        """
        """
        XPATH_XSLT_TREE: XPathObjectType = ...
        """
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class XPathObjectType(metaclass=UnoEnumMeta, type_name="com.sun.star.xml.xpath.XPathObjectType", name_space="com.sun.star.xml.xpath"):
        """Dynamically created class that represents ``com.sun.star.xml.xpath.XPathObjectType`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['XPathObjectType']

