# coding: utf-8
#
# Copyright 2023 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Enum Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.ui
# Libre Office Version: 7.4
from __future__ import annotations
import uno
from typing import TYPE_CHECKING


if TYPE_CHECKING:

    class DockingArea(uno.Enum):
        """
        Enum Class


        See Also:
            `API DockingArea <https://api.libreoffice.org/docs/idl/ref/namespacecom_1_1sun_1_1star_1_1ui.html#abab7084b80a737f798ccebf692878cc1>`_
        """
        __ooo_ns__: str = ...
        __ooo_full_ns__: str = ...
        __ooo_type_name__: str = ...

        @property
        def typeName(self) -> str:
            ...

        DOCKINGAREA_BOTTOM: DockingArea = ...
        """
        the bottom docking area above the status bar.
        """
        DOCKINGAREA_DEFAULT: DockingArea = ...
        """
        a default docking area.
        
        It depends on the implementation how to treat this value.
        """
        DOCKINGAREA_LEFT: DockingArea = ...
        """
        the left side docking area.
        """
        DOCKINGAREA_RIGHT: DockingArea = ...
        """
        the right side docking area.
        """
        DOCKINGAREA_TOP: DockingArea = ...
        """
        the top docking area below the menu bar.
        """

else:

    from ooo.helper.enum_helper import UnoEnumMeta
    class DockingArea(metaclass=UnoEnumMeta, type_name="com.sun.star.ui.DockingArea", name_space="com.sun.star.ui"):
        """Dynamically created class that represents ``com.sun.star.ui.DockingArea`` Enum. Class loosely mimics Enum"""
        pass

__all__ = ['DockingArea']

